Bug 176349 - [ports] regression: devel/boost-libs 1.52.0_1 does not build on ia64
Summary: [ports] regression: devel/boost-libs 1.52.0_1 does not build on ia64
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-22 15:20 UTC by Anton Shterenlikht
Modified: 2015-02-23 10:47 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Shterenlikht 2013-02-22 15:20:00 UTC
# pkg version -vX boost
boost-jam-1.52.0_1                 =   up-to-date with port
boost-libs-1.48.0_2                <   needs updating (port has 1.52.0_1)
# 

While boost-jam successfully updated from 1.48 to 1.52,
boost-libs fails to build.

The full build log is below:


Script started on Fri Feb 22 13:26:23 2013
command: make -C /usr/ports/devel/boost-libs clean all
===>  Cleaning for boost-libs-1.52.0_1
===>  Found saved configuration for boost-libs-1.52.0
===>   boost-libs-1.52.0_1 depends on file: /usr/local/sbin/pkg - found
===>  Extracting for boost-libs-1.52.0_1
=> SHA256 Checksum OK for boost_1_52_0.tar.bz2.
===>  Patching for boost-libs-1.52.0_1
===>  Applying FreeBSD patches for boost-libs-1.52.0_1
===>   boost-libs-1.52.0_1 depends on executable: bjam - found
===>   boost-libs-1.52.0_1 depends on shared library: icuuc - found
===>  Configuring for boost-libs-1.52.0_1
===>   FreeBSD 10 autotools fix applied to /usr/ports/devel/boost-libs/work/boost_1_52_0/libs/config/configure
===>   FreeBSD 10 autotools fix applied to /usr/ports/devel/boost-libs/work/boost_1_52_0/tools/build/v2/engine/boehm_gc/acinclude.m4
===>   FreeBSD 10 autotools fix applied to /usr/ports/devel/boost-libs/work/boost_1_52_0/tools/build/v2/engine/boehm_gc/aclocal.m4
===>   FreeBSD 10 autotools fix applied to /usr/ports/devel/boost-libs/work/boost_1_52_0/tools/build/v2/engine/boehm_gc/configure
===>   FreeBSD 10 autotools fix applied to /usr/ports/devel/boost-libs/work/boost_1_52_0/tools/build/v2/engine/boehm_gc/libtool.m4
===>  Building for boost-libs-1.52.0_1
Performing configuration checks

    - 32-bit                   : no
    - 64-bit                   : yes
    - x86                      : no
    - power                    : no
    - arm                      : no
    - mips1                    : no
    - x86                      : no
    - power                    : no
    - arm                      : no
    - mips1                    : no
error: No best alternative for libs/context/build/asm_context_sources
    next alternative: required properties: <abi>aapcs <architecture>arm <binary-format>elf <toolset>gcc
        not matched
    next alternative: required properties: <abi>aapcs <architecture>arm <binary-format>elf <toolset>qcc
        not matched
    next alternative: required properties: <abi>aapcs <architecture>arm <binary-format>elf
        not matched
    next alternative: required properties: <abi>o32 <architecture>mips1 <binary-format>elf <toolset>gcc
        not matched
    next alternative: required properties: <abi>o32 <architecture>mips1 <binary-format>elf <toolset>qcc
        not matched
    next alternative: required properties: <abi>o32 <architecture>mips1 <binary-format>elf
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>power <binary-format>elf <toolset>gcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>power <binary-format>elf <toolset>qcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>power <binary-format>elf
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>power <binary-format>elf <toolset>gcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>power <binary-format>elf <toolset>qcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>power <binary-format>elf
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>elf <toolset>gcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>elf <toolset>qcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>elf <toolset>intel
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>elf
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>mach-o <target-os>darwin <toolset>gcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>mach-o <target-os>darwin <toolset>qcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>mach-o <target-os>darwin <toolset>intel
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>mach-o <target-os>darwin
        not matched
    next alternative: required properties: <abi>ms <address-model>32 <architecture>x86 <binary-format>pe <target-os>windows <toolset>intel
        not matched
    next alternative: required properties: <abi>ms <address-model>32 <architecture>x86 <binary-format>pe <target-os>windows <toolset>msvc
        not matched
    next alternative: required properties: <abi>ms <address-model>32 <architecture>x86 <binary-format>pe <target-os>windows
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>elf <toolset>gcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>elf <toolset>qcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>elf <toolset>intel
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>elf
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>mach-o <target-os>darwin <toolset>gcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>mach-o <target-os>darwin <toolset>intel
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>mach-o <target-os>darwin
        not matched
    next alternative: required properties: <abi>ms <address-model>64 <architecture>x86 <binary-format>pe <target-os>windows <toolset>intel
        not matched
    next alternative: required properties: <abi>ms <address-model>64 <architecture>x86 <binary-format>pe <target-os>windows <toolset>msvc
        not matched
    next alternative: required properties: <abi>ms <address-model>64 <architecture>x86 <binary-format>pe <target-os>windows
        not matched
    - has_icu builds           : yes
warning: Graph library does not contain MPI-based parallel components.
note: to enable them, add "using mpi ;" to your user-config.jam
    - iconv (libc)             : no
    - iconv (separate)         : no
    - icu                      : yes
    - gcc visibility           : yes
    - long double support      : yes
warning: skipping optional Message Passing Interface (MPI) library.
note: to enable MPI support, add "using mpi ;" to user-config.jam.
note: to suppress this message, pass "--without-mpi" to bjam.
note: otherwise, you can safely ignore this message.
error: No best alternative for libs/context/build/asm_context_sources
    next alternative: required properties: <abi>aapcs <architecture>arm <binary-format>elf <toolset>gcc
        not matched
    next alternative: required properties: <abi>aapcs <architecture>arm <binary-format>elf <toolset>qcc
        not matched
    next alternative: required properties: <abi>aapcs <architecture>arm <binary-format>elf
        not matched
    next alternative: required properties: <abi>o32 <architecture>mips1 <binary-format>elf <toolset>gcc
        not matched
    next alternative: required properties: <abi>o32 <architecture>mips1 <binary-format>elf <toolset>qcc
        not matched
    next alternative: required properties: <abi>o32 <architecture>mips1 <binary-format>elf
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>power <binary-format>elf <toolset>gcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>power <binary-format>elf <toolset>qcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>power <binary-format>elf
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>power <binary-format>elf <toolset>gcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>power <binary-format>elf <toolset>qcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>power <binary-format>elf
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>elf <toolset>gcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>elf <toolset>qcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>elf <toolset>intel
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>elf
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>mach-o <target-os>darwin <toolset>gcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>mach-o <target-os>darwin <toolset>qcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>mach-o <target-os>darwin <toolset>intel
        not matched
    next alternative: required properties: <abi>sysv <address-model>32 <architecture>x86 <binary-format>mach-o <target-os>darwin
        not matched
    next alternative: required properties: <abi>ms <address-model>32 <architecture>x86 <binary-format>pe <target-os>windows <toolset>intel
        not matched
    next alternative: required properties: <abi>ms <address-model>32 <architecture>x86 <binary-format>pe <target-os>windows <toolset>msvc
        not matched
    next alternative: required properties: <abi>ms <address-model>32 <architecture>x86 <binary-format>pe <target-os>windows
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>elf <toolset>gcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>elf <toolset>qcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>elf <toolset>intel
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>elf
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>mach-o <target-os>darwin <toolset>gcc
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>mach-o <target-os>darwin <toolset>intel
        not matched
    next alternative: required properties: <abi>sysv <address-model>64 <architecture>x86 <binary-format>mach-o <target-os>darwin
        not matched
    next alternative: required properties: <abi>ms <address-model>64 <architecture>x86 <binary-format>pe <target-os>windows <toolset>intel
        not matched
    next alternative: required properties: <abi>ms <address-model>64 <architecture>x86 <binary-format>pe <target-os>windows <toolset>msvc
        not matched
    next alternative: required properties: <abi>ms <address-model>64 <architecture>x86 <binary-format>pe <target-os>windows
        not matched

Component configuration:

    - chrono                   : building
    - context                  : building
    - date_time                : building
    - exception                : building
    - filesystem               : building
    - graph                    : building
    - graph_parallel           : building
    - iostreams                : building
    - locale                   : building
    - math                     : building
    - mpi                      : building
    - program_options          : building
    - python                   : not building
    - random                   : building
    - regex                    : building
    - serialization            : building
    - signals                  : building
    - system                   : building
    - test                     : building
    - thread                   : building
    - timer                    : building
    - wave                     : building

...patience...
...patience...
...patience...
...patience...
...found 8225 targets...
...updating 882 targets...
common.mkdir bin.v2/libs/context/build
common.mkdir stage
common.mkdir bin.v2/libs/context/build/gcc-4.2.1
common.mkdir stage/lib
common.mkdir bin.v2/libs/context/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/date_time
common.mkdir bin.v2/libs/context/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/date_time/build
common.mkdir bin.v2/libs/context/build/gcc-4.2.1/debug/optimization-speed/threading-multi
common.mkdir bin.v2/libs/date_time/build/gcc-4.2.1
gcc.compile.c++ bin.v2/libs/context/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fcontext.o
In file included from libs/context/src/fcontext.cpp:9:
./boost/context/fcontext.hpp:59:3: error: #error "platform not supported"
In file included from libs/context/src/fcontext.cpp:9:
./boost/context/fcontext.hpp:66: error: expected initializer before 'align_stack'
./boost/context/fcontext.hpp:71: error: expected initializer before 'jump_fcontext'
./boost/context/fcontext.hpp:73: error: expected constructor, destructor, or type conversion before '*' token
libs/context/src/fcontext.cpp:22: error: expected initializer before 'align_stack'

    "g++"  -ftemplate-depth-128 -O3 -fno-inline -Wall -g -pthread -fPIC  -DBOOST_ALL_NO_LIB=1 -DBOOST_CONTEXT_DYN_LINK=1  -I"." -c -o "bin.v2/libs/context/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fcontext.o" "libs/context/src/fcontext.cpp"

...failed gcc.compile.c++ bin.v2/libs/context/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fcontext.o...
gcc.compile.c++ bin.v2/libs/context/build/gcc-4.2.1/debug/optimization-speed/threading-multi/utils_posix.o
gcc.compile.c++ bin.v2/libs/context/build/gcc-4.2.1/debug/optimization-speed/threading-multi/guarded_stack_allocator_posix.o
In file included from libs/context/src/guarded_stack_allocator_posix.cpp:32:
./boost/context/fcontext.hpp:59:3: error: #error "platform not supported"
In file included from libs/context/src/guarded_stack_allocator_posix.cpp:32:
./boost/context/fcontext.hpp:66: error: expected initializer before 'align_stack'
./boost/context/fcontext.hpp:71: error: expected initializer before 'jump_fcontext'
./boost/context/fcontext.hpp:73: error: expected constructor, destructor, or type conversion before '*' token
libs/context/src/guarded_stack_allocator_posix.cpp: In static member function 'static size_t boost::context::guarded_stack_allocator::minimum_stacksize()':
libs/context/src/guarded_stack_allocator_posix.cpp:85: error: 'fcontext_t' was not declared in this scope

    "g++"  -ftemplate-depth-128 -O3 -fno-inline -Wall -g -pthread -fPIC  -DBOOST_ALL_NO_LIB=1 -DBOOST_CONTEXT_DYN_LINK=1  -I"." -c -o "bin.v2/libs/context/build/gcc-4.2.1/debug/optimization-speed/threading-multi/guarded_stack_allocator_posix.o" "libs/context/src/guarded_stack_allocator_posix.cpp"

...failed gcc.compile.c++ bin.v2/libs/context/build/gcc-4.2.1/debug/optimization-speed/threading-multi/guarded_stack_allocator_posix.o...
...skipped <pstage/lib>libboost_context.so.5 for lack of <pbin.v2/libs/context/build/gcc-4.2.1/debug/optimization-speed/threading-multi>fcontext.o...
common.mkdir bin.v2/libs/date_time/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/exception
common.mkdir bin.v2/libs/date_time/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/exception/build
common.mkdir bin.v2/libs/exception/build/gcc-4.2.1
common.mkdir bin.v2/libs/date_time/build/gcc-4.2.1/debug/optimization-speed/threading-multi
common.mkdir bin.v2/libs/exception/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/date_time/build/gcc-4.2.1/debug/optimization-speed/threading-multi/gregorian
common.mkdir bin.v2/libs/exception/build/gcc-4.2.1/debug/link-static
gcc.compile.c++ bin.v2/libs/date_time/build/gcc-4.2.1/debug/optimization-speed/threading-multi/gregorian/greg_weekday.o
gcc.compile.c++ bin.v2/libs/date_time/build/gcc-4.2.1/debug/optimization-speed/threading-multi/gregorian/date_generators.o
common.mkdir bin.v2/libs/exception/build/gcc-4.2.1/debug/link-static/optimization-speed
common.mkdir bin.v2/libs/exception/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/exception/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/clone_current_exception_non_intrusive.o
gcc.archive bin.v2/libs/exception/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/libboost_exception.a
common.copy stage/lib/libboost_exception.a
common.mkdir bin.v2/libs/filesystem
common.mkdir bin.v2/libs/filesystem/build
common.mkdir bin.v2/libs/filesystem/build/gcc-4.2.1
common.mkdir bin.v2/libs/filesystem/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/filesystem/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/filesystem/build/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/filesystem/build/gcc-4.2.1/debug/optimization-speed/threading-multi/codecvt_error_category.o
gcc.compile.c++ bin.v2/libs/date_time/build/gcc-4.2.1/debug/optimization-speed/threading-multi/gregorian/greg_month.o
gcc.link.dll stage/lib/libboost_date_time.so.5
gcc.compile.c++ bin.v2/libs/filesystem/build/gcc-4.2.1/debug/optimization-speed/threading-multi/path.o
gcc.compile.c++ bin.v2/libs/filesystem/build/gcc-4.2.1/debug/optimization-speed/threading-multi/operations.o
gcc.compile.c++ bin.v2/libs/filesystem/build/gcc-4.2.1/debug/optimization-speed/threading-multi/path_traits.o
gcc.compile.c++ bin.v2/libs/filesystem/build/gcc-4.2.1/debug/optimization-speed/threading-multi/portability.o
gcc.compile.c++ bin.v2/libs/filesystem/build/gcc-4.2.1/debug/optimization-speed/threading-multi/unique_path.o
gcc.compile.c++ bin.v2/libs/filesystem/build/gcc-4.2.1/debug/optimization-speed/threading-multi/utf8_codecvt_facet.o
common.mkdir bin.v2/libs/system
common.mkdir bin.v2/libs/system/build
gcc.compile.c++ bin.v2/libs/filesystem/build/gcc-4.2.1/debug/optimization-speed/threading-multi/windows_file_codecvt.o
common.mkdir bin.v2/libs/system/build/gcc-4.2.1
common.mkdir bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/system/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi
common.mkdir bin.v2/libs/system/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/system/build/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/c_regex_traits.o
gcc.compile.c++ bin.v2/libs/system/build/gcc-4.2.1/debug/optimization-speed/threading-multi/error_code.o
gcc.link.dll bin.v2/libs/system/build/gcc-4.2.1/debug/optimization-speed/threading-multi/libboost_system.so.5
gcc.link.dll stage/lib/libboost_filesystem.so.5
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cpp_regex_traits.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fileiter.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/icu.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cregex.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/posix_api.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/regex.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/regex_debug.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/regex_raw_buffer.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/instances.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/regex_traits_defaults.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/static_mutex.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/w32_regex_traits.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/wc_regex_traits.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/wide_posix_api.o
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/usinstances.o
common.mkdir bin.v2/libs/graph
common.mkdir bin.v2/libs/graph/build
common.mkdir bin.v2/libs/graph/build/gcc-4.2.1
common.mkdir bin.v2/libs/graph/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/graph/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/graph/build/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/winstances.o
gcc.link.dll stage/lib/libboost_regex.so.5
gcc.compile.c++ bin.v2/libs/graph/build/gcc-4.2.1/debug/optimization-speed/threading-multi/read_graphviz_new.o
gcc.compile.c++ bin.v2/libs/graph/build/gcc-4.2.1/debug/optimization-speed/threading-multi/graphml.o
common.mkdir bin.v2/libs/iostreams
common.mkdir bin.v2/libs/iostreams/build
common.mkdir bin.v2/libs/iostreams/build/gcc-4.2.1
common.mkdir bin.v2/libs/iostreams/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/iostreams/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/iostreams/build/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/iostreams/build/gcc-4.2.1/debug/optimization-speed/threading-multi/file_descriptor.o
gcc.link.dll bin.v2/libs/regex/build/gcc-4.2.1/debug/optimization-speed/threading-multi/libboost_regex.so.5
gcc.compile.c++ bin.v2/libs/iostreams/build/gcc-4.2.1/debug/optimization-speed/threading-multi/mapped_file.o
gcc.compile.c++ bin.v2/libs/iostreams/build/gcc-4.2.1/debug/optimization-speed/threading-multi/zlib.o
gcc.link.dll stage/lib/libboost_graph.so.5
gcc.compile.c++ bin.v2/libs/iostreams/build/gcc-4.2.1/debug/optimization-speed/threading-multi/gzip.o
common.mkdir bin.v2/libs/thread
common.mkdir bin.v2/libs/thread/build
common.mkdir bin.v2/libs/thread/build/gcc-4.2.1
...on 100th target...
common.mkdir bin.v2/libs/thread/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/thread/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/thread/build/gcc-4.2.1/debug/optimization-speed/threading-multi
common.mkdir bin.v2/libs/thread/build/gcc-4.2.1/debug/optimization-speed/threading-multi/pthread
gcc.compile.c++ bin.v2/libs/iostreams/build/gcc-4.2.1/debug/optimization-speed/threading-multi/bzip2.o
gcc.link.dll stage/lib/libboost_iostreams.so.5
gcc.compile.c++ bin.v2/libs/thread/build/gcc-4.2.1/debug/optimization-speed/threading-multi/pthread/once.o
gcc.compile.c++ bin.v2/libs/thread/build/gcc-4.2.1/debug/optimization-speed/threading-multi/future.o
common.mkdir bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi
common.mkdir bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/encoding
gcc.compile.c++ bin.v2/libs/thread/build/gcc-4.2.1/debug/optimization-speed/threading-multi/pthread/thread.o
gcc.link.dll stage/lib/libboost_thread.so.5
common.mkdir bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/shared
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/encoding/codepage.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/shared/format.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/shared/formatting.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/shared/date_time.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/shared/ids.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/shared/generator.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/shared/localization_backend.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/shared/mo_lambda.o
common.mkdir bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/util
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/util/codecvt_converter.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/util/default_locale.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/shared/message.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/util/info.o
common.mkdir bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/icu
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/util/locale_data.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/icu/codecvt.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/icu/boundary.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/icu/conversion.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/icu/collator.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/icu/date_time.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/icu/icu_backend.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/icu/formatter.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/icu/time_zone.o
common.mkdir bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/std
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/std/codecvt.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/std/collate.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/std/converter.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/icu/numeric.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/std/numeric.o
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/util/gregorian.o
common.mkdir bin.v2/libs/chrono
common.mkdir bin.v2/libs/chrono/build
common.mkdir bin.v2/libs/chrono/build/gcc-4.2.1
gcc.compile.c++ bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/std/std_backend.o
common.mkdir bin.v2/libs/chrono/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/chrono/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/chrono/build/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.link.dll bin.v2/libs/thread/build/gcc-4.2.1/debug/optimization-speed/threading-multi/libboost_thread.so.5
gcc.compile.c++ bin.v2/libs/chrono/build/gcc-4.2.1/debug/optimization-speed/threading-multi/chrono.o
gcc.compile.c++ bin.v2/libs/chrono/build/gcc-4.2.1/debug/optimization-speed/threading-multi/thread_clock.o
common.mkdir bin.v2/libs/math/build
common.mkdir bin.v2/libs/math/build/gcc-4.2.1
common.mkdir bin.v2/libs/math/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi
common.mkdir bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/..
common.mkdir bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/../src
common.mkdir bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/../src/tr1
gcc.compile.c++ bin.v2/libs/chrono/build/gcc-4.2.1/debug/optimization-speed/threading-multi/process_cpu_clocks.o
gcc.link.dll bin.v2/libs/chrono/build/gcc-4.2.1/debug/optimization-speed/threading-multi/libboost_chrono.so.5
gcc.link.dll bin.v2/libs/locale/build/gcc-4.2.1/debug/optimization-speed/threading-multi/libboost_locale.so.5
common.copy stage/lib/libboost_locale.so.5
common.mkdir bin.v2/libs/math/config/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/math/config/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/math/config/gcc-4.2.1/debug/optimization-speed/threading-multi/has_long_double_support.o
common.mkdir bin.v2/libs/program_options
common.mkdir bin.v2/libs/program_options/build
common.mkdir bin.v2/libs/program_options/build/gcc-4.2.1
common.mkdir bin.v2/libs/program_options/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.compile.c++.pch bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/../src/tr1/pch.hpp.gch
In file included from ./boost/fusion/tuple/tuple.hpp:22,
                 from ./boost/fusion/tuple.hpp:10,
                 from ./boost/fusion/include/tuple.hpp:10,
                 from ./boost/math/tools/tuple.hpp:89,
                 from ./boost/math/special_functions/detail/igamma_inverse.hpp:13,
                 from ./boost/math/special_functions/gamma.hpp:1651,
                 from ./boost/math/special_functions/detail/bessel_jy.hpp:14,
                 from ./boost/math/special_functions/bessel.hpp:17,
                 from ./boost/math/special_functions/airy.hpp:10,
                 from ./boost/math/special_functions.hpp:15,
                 from libs/math/build/../src/tr1/pch.hpp:9:
./boost/fusion/tuple/detail/preprocessed/tuple.hpp:21:7: warning: no newline at end of file
gcc.compile.c++ bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cmdline.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/assoc_laguerre.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/assoc_legendre.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/beta.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/comp_ellint_1.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/comp_ellint_2.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/comp_ellint_3.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cyl_bessel_i.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cyl_bessel_j.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cyl_bessel_k.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/ellint_1.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cyl_neumann.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/ellint_2.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/ellint_3.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/hermite.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/expint.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/laguerre.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/legendre.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/riemann_zeta.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/sph_bessel.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/sph_legendre.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/assoc_laguerref.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/sph_neumann.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/assoc_legendref.o
...on 200th target...
gcc.link.dll stage/lib/libboost_math_tr1.so.5
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/betaf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/comp_ellint_1f.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/comp_ellint_2f.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/comp_ellint_3f.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cyl_bessel_if.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cyl_bessel_jf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cyl_bessel_kf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/ellint_1f.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cyl_neumannf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/ellint_2f.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/ellint_3f.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/hermitef.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/expintf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/laguerref.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/legendref.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/riemann_zetaf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/sph_legendref.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/sph_besself.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/assoc_laguerrel.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/sph_neumannf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/assoc_legendrel.o
gcc.link.dll stage/lib/libboost_math_tr1f.so.5
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/betal.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/comp_ellint_1l.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/comp_ellint_2l.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/comp_ellint_3l.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cyl_bessel_il.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cyl_bessel_jl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cyl_bessel_kl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/ellint_1l.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cyl_neumannl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/ellint_2l.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/ellint_3l.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/hermitel.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/expintl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/laguerrel.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/legendrel.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/riemann_zetal.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/sph_bessell.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/sph_legendrel.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/sph_neumannl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/acosh.o
gcc.link.dll stage/lib/libboost_math_tr1l.so.5
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/asinh.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/atanh.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cbrt.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/copysign.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/erfc.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/erf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/expm1.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fmax.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fmin.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fpclassify.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/hypot.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/lgamma.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/llround.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/log1p.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/lround.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/nextafter.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/nexttoward.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/round.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/tgamma.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/trunc.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/acoshf.o
gcc.link.dll stage/lib/libboost_math_c99.so.5
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/asinhf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/atanhf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cbrtf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/copysignf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/erfcf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/erff.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/expm1f.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fmaxf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fminf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fpclassifyf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/hypotf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/lgammaf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/llroundf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/log1pf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/lroundf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/nextafterf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/nexttowardf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/roundf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/tgammaf.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/truncf.o
gcc.link.dll stage/lib/libboost_math_c99f.so.5
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/acoshl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/asinhl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/atanhl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/copysignl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cbrtl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/erfcl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/erfl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/expm1l.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fmaxl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fminl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/fpclassifyl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/hypotl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/lgammal.o
...on 300th target...
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/llroundl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/log1pl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/lroundl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/nextafterl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/nexttowardl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/roundl.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/tgammal.o
gcc.compile.c++ bin.v2/libs/math/build/gcc-4.2.1/debug/optimization-speed/threading-multi/truncl.o
gcc.compile.c++ bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed/threading-multi/config_file.o
gcc.link.dll stage/lib/libboost_math_c99l.so.5
gcc.compile.c++ bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed/threading-multi/options_description.o
gcc.compile.c++ bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed/threading-multi/parsers.o
gcc.compile.c++ bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed/threading-multi/variables_map.o
gcc.compile.c++ bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed/threading-multi/positional_options.o
gcc.compile.c++ bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed/threading-multi/utf8_codecvt_facet.o
gcc.compile.c++ bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed/threading-multi/convert.o
gcc.compile.c++ bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed/threading-multi/value_semantic.o
gcc.compile.c++ bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed/threading-multi/winmain.o
common.mkdir bin.v2/libs/random
common.mkdir bin.v2/libs/random/build
common.mkdir bin.v2/libs/random/build/gcc-4.2.1
common.mkdir bin.v2/libs/random/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/random/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/random/build/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/random/build/gcc-4.2.1/debug/optimization-speed/threading-multi/random_device.o
gcc.link.dll stage/lib/libboost_random.so.5
common.mkdir bin.v2/libs/serialization
common.mkdir bin.v2/libs/serialization/build
common.mkdir bin.v2/libs/serialization/build/gcc-4.2.1
common.mkdir bin.v2/libs/serialization/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_archive.o
gcc.compile.c++ bin.v2/libs/program_options/build/gcc-4.2.1/debug/optimization-speed/threading-multi/split.o
gcc.link.dll stage/lib/libboost_program_options.so.5
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_iarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_iserializer.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_oserializer.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_pointer_iserializer.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_oarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_pointer_oserializer.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_serializer_map.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_text_iprimitive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_xml_archive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_text_oprimitive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/binary_oarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/binary_iarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/extended_type_info.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/extended_type_info_no_rtti.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/extended_type_info_typeid.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/polymorphic_iarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/stl_port.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/polymorphic_oarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/text_oarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/text_iarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/archive_exception.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/void_cast.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/xml_iarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/xml_oarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/xml_archive_exception.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/shared_ptr_helper.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_text_wiprimitive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/basic_text_woprimitive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/text_wiarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/xml_grammar.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/text_woarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/utf8_codecvt_facet.o
gcc.link.dll stage/lib/libboost_serialization.so.5
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/xml_wiarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/xml_woarchive.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/codecvt_null.o
gcc.link.dll bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/libboost_serialization.so.5
common.mkdir bin.v2/libs/signals
common.mkdir bin.v2/libs/signals/build
common.mkdir bin.v2/libs/signals/build/gcc-4.2.1
common.mkdir bin.v2/libs/signals/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/signals/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/signals/build/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/signals/build/gcc-4.2.1/debug/optimization-speed/threading-multi/trackable.o
gcc.compile.c++ bin.v2/libs/signals/build/gcc-4.2.1/debug/optimization-speed/threading-multi/connection.o
gcc.compile.c++ bin.v2/libs/serialization/build/gcc-4.2.1/debug/optimization-speed/threading-multi/xml_wgrammar.o
gcc.link.dll stage/lib/libboost_wserialization.so.5
gcc.compile.c++ bin.v2/libs/signals/build/gcc-4.2.1/debug/optimization-speed/threading-multi/named_slot_map.o
gcc.compile.c++ bin.v2/libs/signals/build/gcc-4.2.1/debug/optimization-speed/threading-multi/slot.o
common.mkdir bin.v2/libs/test
common.mkdir bin.v2/libs/test/build
common.mkdir bin.v2/libs/test/build/gcc-4.2.1
common.mkdir bin.v2/libs/test/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/signals/build/gcc-4.2.1/debug/optimization-speed/threading-multi/signal_base.o
gcc.link.dll stage/lib/libboost_signals.so.5
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/execution_monitor.o
In file included from libs/test/src/execution_monitor.cpp:16:
./boost/test/impl/execution_monitor.ipp:165:1: warning: "ILL_ILLADR" redefined
In file included from /usr/include/signal.h:38,
                 from ./boost/test/impl/execution_monitor.ipp:154,
                 from libs/test/src/execution_monitor.cpp:16:
/usr/include/sys/signal.h:242:1: warning: this is the location of the previous definition
In file included from libs/test/src/execution_monitor.cpp:16:
./boost/test/impl/execution_monitor.ipp:166:1: warning: "ILL_PRVOPC" redefined
In file included from /usr/include/signal.h:38,
                 from ./boost/test/impl/execution_monitor.ipp:154,
                 from libs/test/src/execution_monitor.cpp:16:
/usr/include/sys/signal.h:244:1: warning: this is the location of the previous definition
In file included from libs/test/src/execution_monitor.cpp:16:
./boost/test/impl/execution_monitor.ipp:168:1: warning: "ILL_COPROC" redefined
In file included from /usr/include/signal.h:38,
                 from ./boost/test/impl/execution_monitor.ipp:154,
                 from libs/test/src/execution_monitor.cpp:16:
/usr/include/sys/signal.h:246:1: warning: this is the location of the previous definition
In file included from libs/test/src/execution_monitor.cpp:16:
./boost/test/impl/execution_monitor.ipp: In member function 'void boost::detail::system_signal_exception::report() const':
./boost/test/impl/execution_monitor.ipp:391: error: 'ILL_PRIVIN_FAULT' was not declared in this scope
./boost/test/impl/execution_monitor.ipp:396: error: 'ILL_FPOP_FAULT' was not declared in this scope

    "g++"  -ftemplate-depth-128 -O3 -fno-inline -Wall -pedantic -g -pthread -fPIC  -DBOOST_ALL_NO_LIB=1 -DBOOST_TEST_DYN_LINK=1  -I"." -c -o "bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/execution_monitor.o" "libs/test/src/execution_monitor.cpp"

...failed gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/execution_monitor.o...
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cpp_main.o
common.mkdir bin.v2/libs/test/build/gcc-4.2.1/debug/link-static
common.mkdir bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed
common.mkdir bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/debug.o
...skipped <pstage/lib>libboost_prg_exec_monitor.so.5 for lack of <pbin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi>execution_monitor.o...
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/compiler_log_formatter.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/execution_monitor.o
In file included from libs/test/src/execution_monitor.cpp:16:
./boost/test/impl/execution_monitor.ipp:165:1: warning: "ILL_ILLADR" redefined
In file included from /usr/include/signal.h:38,
                 from ./boost/test/impl/execution_monitor.ipp:154,
                 from libs/test/src/execution_monitor.cpp:16:
/usr/include/sys/signal.h:242:1: warning: this is the location of the previous definition
In file included from libs/test/src/execution_monitor.cpp:16:
./boost/test/impl/execution_monitor.ipp:166:1: warning: "ILL_PRVOPC" redefined
In file included from /usr/include/signal.h:38,
                 from ./boost/test/impl/execution_monitor.ipp:154,
                 from libs/test/src/execution_monitor.cpp:16:
/usr/include/sys/signal.h:244:1: warning: this is the location of the previous definition
In file included from libs/test/src/execution_monitor.cpp:16:
./boost/test/impl/execution_monitor.ipp:168:1: warning: "ILL_COPROC" redefined
In file included from /usr/include/signal.h:38,
                 from ./boost/test/impl/execution_monitor.ipp:154,
                 from libs/test/src/execution_monitor.cpp:16:
/usr/include/sys/signal.h:246:1: warning: this is the location of the previous definition
In file included from libs/test/src/execution_monitor.cpp:16:
./boost/test/impl/execution_monitor.ipp: In member function 'void boost::detail::system_signal_exception::report() const':
./boost/test/impl/execution_monitor.ipp:391: error: 'ILL_PRIVIN_FAULT' was not declared in this scope
./boost/test/impl/execution_monitor.ipp:396: error: 'ILL_FPOP_FAULT' was not declared in this scope

    "g++"  -ftemplate-depth-128 -O3 -fno-inline -Wall -pedantic -g -pthread  -DBOOST_ALL_NO_LIB=1  -I"." -c -o "bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/execution_monitor.o" "libs/test/src/execution_monitor.cpp"

...failed gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/execution_monitor.o...
...on 400th target...
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/debug.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/plain_report_formatter.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/progress_monitor.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/framework.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/results_collector.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/results_reporter.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/test_main.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/test_tools.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/unit_test_log.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/unit_test_monitor.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/unit_test_main.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/unit_test_suite.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/xml_log_formatter.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/xml_report_formatter.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/compiler_log_formatter.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/exception_safety.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/framework.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/interaction_based.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/logged_expectations.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/plain_report_formatter.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/progress_monitor.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/results_collector.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/results_reporter.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/test_tools.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/unit_test_parameters.o
...skipped <pbin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi>libboost_test_exec_monitor.a(clean) for lack of <pbin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi>execution_monitor.o...
...skipped <pbin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi>libboost_test_exec_monitor.a for lack of <pbin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi>execution_monitor.o...
...skipped <pstage/lib>libboost_test_exec_monitor.a for lack of <pbin.v2/libs/test/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi>libboost_test_exec_monitor.a...
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/unit_test_log.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/unit_test_monitor.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/unit_test_main.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/unit_test_suite.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/xml_log_formatter.o
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/xml_report_formatter.o
common.mkdir bin.v2/libs/timer
common.mkdir bin.v2/libs/timer/build
common.mkdir bin.v2/libs/timer/build/gcc-4.2.1
common.mkdir bin.v2/libs/timer/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/timer/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/timer/build/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/timer/build/gcc-4.2.1/debug/optimization-speed/threading-multi/auto_timers_construction.o
gcc.compile.c++ bin.v2/libs/timer/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cpu_timer.o
gcc.link.dll stage/lib/libboost_timer.so.5
common.mkdir bin.v2/libs/wave
common.mkdir bin.v2/libs/wave/build
common.mkdir bin.v2/libs/wave/build/gcc-4.2.1
common.mkdir bin.v2/libs/wave/build/gcc-4.2.1/debug
common.mkdir bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed
common.mkdir bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi/unit_test_parameters.o
...skipped <pstage/lib>libboost_unit_test_framework.so.5 for lack of <pbin.v2/libs/test/build/gcc-4.2.1/debug/optimization-speed/threading-multi>execution_monitor.o...
gcc.compile.c++ bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi/instantiate_cpp_exprgrammar.o
gcc.compile.c++ bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi/instantiate_cpp_grammar.o
gcc.compile.c++ bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi/instantiate_cpp_literalgrs.o
gcc.compile.c++ bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi/instantiate_defined_grammar.o
gcc.compile.c++ bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi/instantiate_predef_macros.o
gcc.compile.c++ bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi/instantiate_re2c_lexer.o
gcc.compile.c++ bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi/token_ids.o
gcc.compile.c++ bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi/instantiate_re2c_lexer_str.o
common.mkdir bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cpplexer
common.mkdir bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cpplexer/re2clex
gcc.compile.c++ bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi/wave_config_constant.o
gcc.compile.c++ bin.v2/libs/wave/build/gcc-4.2.1/debug/optimization-speed/threading-multi/cpplexer/re2clex/aq.o
gcc.link.dll bin.v2/libs/date_time/build/gcc-4.2.1/debug/optimization-speed/threading-multi/libboost_date_time.so.5
gcc.link.dll bin.v2/libs/filesystem/build/gcc-4.2.1/debug/optimization-speed/threading-multi/libboost_filesystem.so.5
gcc.link.dll stage/lib/libboost_system.so.5
gcc.link.dll stage/lib/libboost_chrono.so.5
common.mkdir bin.v2/libs/system/build/gcc-4.2.1/debug/link-static
common.mkdir bin.v2/libs/system/build/gcc-4.2.1/debug/link-static/optimization-speed
common.mkdir bin.v2/libs/system/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/system/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/error_code.o
gcc.archive bin.v2/libs/system/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/libboost_system.a
common.copy stage/lib/libboost_system.a
common.mkdir bin.v2/libs/chrono/build/gcc-4.2.1/debug/link-static
common.mkdir bin.v2/libs/chrono/build/gcc-4.2.1/debug/link-static/optimization-speed
common.mkdir bin.v2/libs/chrono/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi
gcc.compile.c++ bin.v2/libs/chrono/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/chrono.o
gcc.compile.c++ bin.v2/libs/chrono/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/thread_clock.o
gcc.compile.c++ bin.v2/libs/chrono/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/process_cpu_clocks.o
gcc.archive bin.v2/libs/chrono/build/gcc-4.2.1/debug/link-static/optimization-speed/threading-multi/libboost_chrono.a
common.copy stage/lib/libboost_chrono.a
common.mkdir bin.v2/libs/context/build/gcc-4.2.1/deb
Comment 1 Edwin Groothuis freebsd_committer 2013-02-22 15:20:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Anton Shterenlikht 2014-03-27 09:33:19 UTC
version 1.55.0 still doesn't build,
even with gcc 4.9. Here's the full
build log:

http://eis.bris.ac.uk/~mexas/logs/boost-libs-1.55.0.log

There are lots of errors, some examples:

gcc.compile.c++ bin.v2/libs/context/build/gcc-4.9.0/release/threading-multi/unsupported.o
libs/context/src/unsupported.cpp:7:2: error: #error "platform not supported"
 #error "platform not supported"
  ^

gcc.compile.c++ bin.v2/libs/coroutine/build/gcc-4.9.0/release/threading-multi/detail/standard_stack_allocator_posix.o
In file included from libs/coroutine/src/detail/standard_stack_allocator_posix.cpp:28:0:
./boost/context/fcontext.hpp:66:3: error: #error "platform not supported"
 # error "platform not supported"
   ^
./boost/context/fcontext.hpp:73:33: error: expected initializer before 'jump_fcontext'
 intptr_t BOOST_CONTEXT_CALLDECL jump_fcontext( fcontext_t * ofc, fcontext_t const* nfc, intptr_t vp, bool preserve_fpu = true);
                                 ^
In file included from libs/coroutine/src/detail/standard_stack_allocator_posix.cpp:28:0:
./boost/context/fcontext.hpp:75:1: error: 'fcontext_t' does not name a type
 fcontext_t * BOOST_CONTEXT_CALLDECL make_fcontext( void * sp, std::size_t size, void (* fn)( intptr_t) );
 ^

libs/coroutine/src/detail/standard_stack_allocator_posix.cpp: In static member function 'static std::size_t boost::coroutines::detail::standard_stack_allocator::minimum_stacksize()':
libs/coroutine/src/detail/standard_stack_allocator_posix.cpp:96:29: error: 'fcontext_t' is not a member of 'boost::context'
 { return SIGSTKSZ + sizeof( context::fcontext_t) + 15; }

...failed gcc.compile.c++ bin.v2/libs/coroutine/build/gcc-4.9.0/release/threading-multi/detail/standard_stack_allocator_posix.o...
gcc.compile.c++ bin.v2/libs/coroutine/build/gcc-4.9.0/release/threading-multi/detail/coroutine_context.o
In file included from ./boost/coroutine/detail/coroutine_context.hpp:14:0,
                 from libs/coroutine/src/detail/coroutine_context.cpp:7:
./boost/context/fcontext.hpp:66:3: error: #error "platform not supported"
 # error "platform not supported"
   ^
./boost/context/fcontext.hpp:73:33: error: expected initializer before 'jump_fcontext'
 intptr_t BOOST_CONTEXT_CALLDECL jump_fcontext( fcontext_t * ofc, fcontext_t const* nfc, intptr_t vp, bool preserve_fpu = true);
                                 ^
In file included from ./boost/coroutine/detail/coroutine_context.hpp:14:0,
                 from libs/coroutine/src/detail/coroutine_context.cpp:7:
./boost/context/fcontext.hpp:75:1: error: 'fcontext_t' does not name a type
 fcontext_t * BOOST_CONTEXT_CALLDECL make_fcontext( void * sp, std::size_t size, void (* fn)( intptr_t) );
 ^
In file included from libs/coroutine/src/detail/coroutine_context.cpp:7:0:
./boost/coroutine/detail/coroutine_context.hpp:38:76: error: expected class-name before ',' token
 class BOOST_COROUTINES_DECL coroutine_context : private context::fcontext_t,
                                                                            ^
./boost/coroutine/detail/coroutine_context.hpp:44:14: error: 'fcontext_t' in namespace 'boost::context' does not name a type
     context::fcontext_t *   ctx_;
              ^
libs/coroutine/src/detail/coroutine_context.cpp: In constructor 'boost::coroutines::detail::coroutine_context::coroutine_context()':
libs/coroutine/src/detail/coroutine_context.cpp:37:5: error: class 'boost::coroutines::detail::coroutine_context' does not have any field named 'fcontext_t'
     fcontext_t(), stack_ctx_( this), ctx_( this)
     ^
libs/coroutine/src/detail/coroutine_context.cpp:37:38: error: class 'boost::coroutines::detail::coroutine_context' does not have any field named 'ctx_'
     fcontext_t(), stack_ctx_( this), ctx_( this)
                                      ^
Comment 3 Bryan Drewery freebsd_committer 2014-09-27 20:01:26 UTC
Is this still an issue?
Comment 4 John Marino freebsd_committer 2015-02-13 14:38:18 UTC
is ia64 even still supported?
Comment 5 John Marino freebsd_committer 2015-02-23 10:47:26 UTC
talking with linimon, ia64 is effectively not supported in ports, even on FreeBSD 8-10.  The ia64 references have been getting removed from ports, so I will close the PR.